Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class SystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.SystemException

All Implemented Interfaces:
  Serializable

    public class SystemException

extends CardRuntimeException

`SystemException` represents a `JCSystem` class related exception. It is also thrown by the `javacard.framework.Applet.register()` methods and by the `AID` class constructor.

These API classes throw Java Card runtime environment-owned instances of `SystemException`.

Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

See Also:
  Serialized Form

Field Summary
`static short` | `ILLEGAL_AID` This reason code is used by the `javacard.framework.Applet.register()` method to indicate that the input AID parameter is not a legal AID value.
`static short` | `ILLEGAL_TRANSIENT` This reason code is used to indicate that the request to create a transient object is not allowed in the current applet context.
`static short` | `ILLEGAL_USE` This reason code is used to indicate that the requested function is not allowed.
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is out of allowed bounds.
`static short` | `NO_RESOURCE` This reason code is used to indicate that there is insufficient resource in the Card for the request.
`static short` | `NO_TRANSIENT_SPACE` This reason code is used by the `makeTransient..()` methods to indicate that no room is available in volatile memory for the requested object.

Constructor Summary
`SystemException(short reason)` Constructs a SystemException.

Method Summary
`static void` | `throwIt(short reason)` Throws the Java Card runtime environment-owned instance of `SystemException` with the specified reason.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is out of allowed bounds.

  See Also:
    Constant Field Values

### NO_TRANSIENT_SPACE

    public static final short NO_TRANSIENT_SPACE

  This reason code is used by the `makeTransient..()` methods to indicate that no room is available in volatile memory for the requested object.

  See Also:
    Constant Field Values

### ILLEGAL_TRANSIENT

    public static final short ILLEGAL_TRANSIENT

  This reason code is used to indicate that the request to create a transient object is not allowed in the current applet context. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

  See Also:
    Constant Field Values

### ILLEGAL_AID

    public static final short ILLEGAL_AID

  This reason code is used by the `javacard.framework.Applet.register()` method to indicate that the input AID parameter is not a legal AID value.

  See Also:
    Constant Field Values

### NO_RESOURCE

    public static final short NO_RESOURCE

  This reason code is used to indicate that there is insufficient resource in the Card for the request.

  For example, the Java Card Virtual Machine may `throw` this exception reason when there is insufficient heap space to create a new instance.

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used to indicate that the requested function is not allowed. For example, `JCSystem.requestObjectDeletion()` method throws this exception if the object deletion mechanism is not implemented.

  See Also:
    Constant Field Values

Constructor Detail

### SystemException

    public SystemException(short reason)

  Constructs a SystemException. To conserve on resources use `throwIt()` to use the Java Card runtime environment-owned instance of this class.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws SystemException

  Throws the Java Card runtime environment-owned instance of `SystemException` with the specified reason.

  Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

  Parameters:
    `reason` - reason the reason for the exception
  Throws:
    `SystemException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD